mercurial (6.7.2-1ubuntu2.2) noble; urgency=medium

  * Fix FTBFS with email.utils.getaddresses change introduced in Python
    3.12.6 (LP: #2081117)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 19 Sep 2024 01:00:07 +0100

mercurial (6.7.2-1ubuntu2.1) noble; urgency=medium

  * Cherry-pick patches from upstream for critical regression that can
    potentially destroy the repository changelog (LP: #2070443)
    - d/p/lp2070443-1.patch
    - d/p/lp2070443-2.patch
    - d/p/inlined-changelog.tar (binary file required by tests for first
      patch)
  * Cherry-pick patches from Debian to fix Python 3.12 compatibility
    (LP: #2076152)
    - d/p/demandimport-threading.patch
    - d/p/test_profiling_lsprof.patch
    - d/p/test_lfs_serve_access.patch

 -- Dave Jones <dave.jones@canonical.com>  Thu, 05 Sep 2024 21:16:34 +0100

mercurial (6.7.2-1ubuntu2) noble; urgency=medium

  * Add some tests to the blacklist, failing on the buildds:
    - test-profile.t test, HTTP server timeout.
    - test-clone-stream.t, 
      mercurial/worker.py:207: DeprecationWarning: This process (pid=36904)
      is multi-threaded, use of fork() may lead to deadlocks in the child.
    - test-http-bad-server.t
      s390x: OSError: [Errno 107] Transport endpoint is not connected.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2024 12:54:14 +0200

mercurial (6.7.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Julien Cristau <jcristau@debian.org>  Sun, 31 Mar 2024 15:25:51 +0200

mercurial (6.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Thu, 21 Mar 2024 23:15:19 +0100

mercurial (6.7~rc0-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Julien Cristau <jcristau@debian.org>  Mon, 04 Mar 2024 15:50:41 +0100

mercurial (6.6.3-1) unstable; urgency=medium

  * New upstream bugfix release
    - histedit-ncurses.patch: remove, applied upstream

 -- Julien Cristau <jcristau@debian.org>  Tue, 27 Feb 2024 15:03:16 +0100

mercurial (6.6.1-2) unstable; urgency=medium

  * histedit: remove superfluous echo() and endwin() calls.  Fixes
    incompatibility with ncurses patch level 20231111, see #1058041.
    Thanks, Sven Joachim!

 -- Julien Cristau <jcristau@debian.org>  Tue, 12 Dec 2023 13:28:02 +0100

mercurial (6.6.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Mark test-copies-chain-merge as slow, so it's skipped.

 -- Julien Cristau <jcristau@debian.org>  Mon, 11 Dec 2023 14:23:00 +0100

mercurial (6.6-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Tue, 05 Dec 2023 15:17:28 +0100

mercurial (6.6~rc0-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Julien Cristau <jcristau@debian.org>  Fri, 17 Nov 2023 10:11:37 +0100

mercurial (6.5.3-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Delete mercurial.egg-info/ on clean.
  * Pass DEB_PYTHON_INSTALL_LAYOUT to make install to work around
    distutils/setuptools being a mess.

 -- Julien Cristau <jcristau@debian.org>  Thu, 16 Nov 2023 17:57:14 +0100

mercurial (6.5.2-2) unstable; urgency=medium

  * Fix test-clone-stream.t failure causing FTBFS on big endian

 -- Julien Cristau <jcristau@debian.org>  Wed, 27 Sep 2023 10:27:49 +0200

mercurial (6.5.2-1) unstable; urgency=medium

  * New upstream release
    + py310/9_tests__silence_asyncore_smtpd_deprecation_warnings.patch:
      dropped, upstream rewrote dummysmtpd.py
    + cgitb.patch: dropped, fixed upstream

 -- Julien Cristau <jcristau@debian.org>  Tue, 26 Sep 2023 14:49:11 +0200

mercurial (6.4.4-2) unstable; urgency=medium

  * Team upload
  * Remove retired uploader

  [ Julien Cristau ]
  * Skip test-convert-darcs.t and test-convert-svn-branches.t.
  * Re-enable test-http-bad-server.t (upstream bug was fixed)

 -- Bastian Germann <bage@debian.org>  Thu, 13 Jul 2023 14:29:24 +0200

mercurial (6.4.4-1) unstable; urgency=medium

  * New upstream release
    - chg-environ.patch: dropped, fixed upstream

 -- Julien Cristau <jcristau@debian.org>  Fri, 16 Jun 2023 15:14:31 +0200

mercurial (6.4.2-1) experimental; urgency=medium

  * New upstream release.
    - from_upstream_stable.patch: dropped, already upstream
    - openssl_3_cipher_tlsv1.patch: dropped, now merged upstream
    - chg-environ.patch: new patch, fixes chg build failure
    - proposed_upstream__doctest.path: updated

 -- Julien Cristau <jcristau@debian.org>  Tue, 18 Apr 2023 16:23:22 +0200

mercurial (6.3.2-1) sid; urgency=medium

  * New upstream bugfix release.
  * from_upstream_stable.patch: pull in upstream changes up to changeset 812a9fbf4380
  * cgitb.patch: stop importing cgitb to avoid deprecation warnings
  * Skip test-remotefilelog-gc.t.
  * This fixes compatibility with python 3.11 (closes: #1028815)
  * Bump test timeout to 1800 because riscv64 is apparently even slower than
    mips (closes: #1024867).

 -- Julien Cristau <jcristau@debian.org>  Mon, 20 Feb 2023 18:44:46 +0100

mercurial (6.3.1-2) sid; urgency=medium

  * Fix FTBFS on 32-bit (closes: #1025621)

 -- Julien Cristau <jcristau@debian.org>  Wed, 07 Dec 2022 13:59:55 +0100

mercurial (6.3.1-1) sid; urgency=medium

  * New upstream release
    - add python3-packaging to build-deps and autopkgtest dependencies for
      run-tests, replacing
      py310/2_run_tests__silence_distutils_deprecation_warning.patch
  * test-hghave-testrepo.patch: new patch, to make test-hghave.t pass outside a
    hg repo.

 -- Julien Cristau <jcristau@debian.org>  Tue, 06 Dec 2022 11:57:31 +0100

mercurial (6.2.3-1) sid; urgency=medium

  * New upstream bugfix release.

 -- Julien Cristau <jcristau@debian.org>  Fri, 07 Oct 2022 14:26:54 +0200

mercurial (6.2.2-1) sid; urgency=medium

  * New upstream bugfix release
    - fixed fsmonitor extension (closes: #1014817)

 -- Julien Cristau <jcristau@debian.org>  Fri, 02 Sep 2022 14:08:12 +0200

mercurial (6.2-1) sid; urgency=medium

  * New upstream release
    - Update patch stack

 -- Julien Cristau <jcristau@debian.org>  Mon, 11 Jul 2022 15:19:13 +0200

mercurial (6.1.3-1) sid; urgency=medium

  * Blocklist test-convert-cvs-synthetic.t.
  * New upstream bugfix release.

 -- Julien Cristau <jcristau@debian.org>  Tue, 07 Jun 2022 20:53:46 +0200

mercurial (6.1.2-1) sid; urgency=medium

  * Add zsh_completion to debian/copyright (closes: #1004341)
  * New upstream bugfix release
  * Fix test failures with openssl 3 (closes: #1011076)

 -- Julien Cristau <jcristau@debian.org>  Mon, 23 May 2022 12:21:07 +0200

mercurial (6.1.1-1) sid; urgency=medium

  * New upstream bugfix release.
  * Fix test failures with python 3.10 (closes: #1008747).

 -- Julien Cristau <jcristau@debian.org>  Mon, 11 Apr 2022 14:08:09 +0200

mercurial (6.1-4) sid; urgency=medium

  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Thu, 24 Mar 2022 20:39:34 +0100

mercurial (6.1-3) experimental; urgency=medium

  * Fix test-clone-stream_bigendian.patch.

 -- Julien Cristau <jcristau@debian.org>  Tue, 15 Mar 2022 17:18:53 +0100

mercurial (6.1-2) experimental; urgency=medium

  * revlog_unsigned_char_fix.patch: fix FTBFS on architectures with
    unsigned char
  * Update test blacklist:
    - re-enable test-nointerrupt.t, test-https.t and
      test-narrow-shallow.t, fixed upstream
    - disable test-http-bad-server.t for intermittent failures
  * test-clone-stream_bigendian.patch: fix test-clone-stream.t failure
    on bigendian archs.

 -- Julien Cristau <jcristau@debian.org>  Tue, 15 Mar 2022 15:10:53 +0100

mercurial (6.1-1) experimental; urgency=medium

  * New upstream release.
  * deb_specific__which_silence_warning.patch: delete, no longer needed.

 -- Julien Cristau <jcristau@debian.org>  Wed, 02 Mar 2022 17:18:42 +0100

mercurial (6.0.2-1) unstable; urgency=medium

  * Blocklist test-git-interop.t since we don't ship the corresponding
    extension.
  * New upstream bugfix release.

 -- Julien Cristau <jcristau@debian.org>  Thu, 03 Feb 2022 11:01:46 +0100

mercurial (6.0.1-3) unstable; urgency=medium

  * Use upstream's Makefile to build/install chg and man pages.

 -- Julien Cristau <jcristau@debian.org>  Thu, 13 Jan 2022 16:23:32 +0100

mercurial (6.0.1-2) unstable; urgency=medium

  * Stop installing debian-specific hg-ssh manpage, upstream has
    supplied one since 2016.
  * Replace pylint3 with pylint in autopkgtest dependencies.
  * Add python3-subversion and python3-pygit2 autopkgtest dependencies

 -- Julien Cristau <jcristau@debian.org>  Thu, 13 Jan 2022 11:35:12 +0100

mercurial (6.0.1-1) unstable; urgency=medium

  * Add Raphaël Gomès' key to the known set.
  * New upstream release.
    + deb_specific__test_zstd_s390x.patch: dropped, merged upstream
  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Thu, 06 Jan 2022 10:16:00 +0100

mercurial (6.0-1) experimental; urgency=medium

  * New upstream release

 -- Julien Cristau <jcristau@debian.org>  Tue, 23 Nov 2021 20:37:36 +0100

mercurial (6.0~rc0-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Julien Cristau <jcristau@debian.org>  Wed, 10 Nov 2021 13:12:13 +0100

mercurial (5.9.3-1) unstable; urgency=medium

  * New upstream release.
    + proposed_upstream__revlog_s390x_part[12].patch: dropped, merged upstream
    + deb_specific__test_zstd_s390x.patch: updated

 -- Julien Cristau <jcristau@debian.org>  Thu, 28 Oct 2021 22:22:46 +0200

mercurial (5.9-3) unstable; urgency=medium

  * Further adjust tests for endianness-related variations.
  * Silence yet another test warning about `which`.

 -- Julien Cristau <jcristau@debian.org>  Wed, 25 Aug 2021 19:54:04 +0200

mercurial (5.9-2) unstable; urgency=medium

  * Fix bugs in revlog parsing causing issues on s390x, and adjust some
    tests to accept variations in zstd output.  Closes: #992844.

 -- Julien Cristau <jcristau@debian.org>  Wed, 25 Aug 2021 17:22:58 +0200

mercurial (5.9-1) unstable; urgency=medium

  [ Nicolas Dandrimont ]
  * New upstream release.
    - Add OpenPGP key for Pulkit Goyal <7895pulkit@gmail.com>.
    - Refresh patches.

  [ Julien Cristau ]
  * Silence warnings from `which` in tests.

 -- Julien Cristau <jcristau@debian.org>  Mon, 23 Aug 2021 17:04:40 +0200

mercurial (5.6.1-4) unstable; urgency=medium

  * Revert -mno-lra workaround on mips64el, #871514 was fixed. Fixes
    occasional FTBFS on mips64el.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 23 May 2021 08:37:06 -0400

mercurial (5.6.1-3) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Annotate test dependencies <!nocheck> (closes: #980337).

  [ Stefano Rivera ]
  * python-3.9.2.patch: Use "&" instead of ";" as query string separator
    in test-archive.t to fix FTBFS with Python 3.9.2, which changed its
    urllib.parse.parse_qsl() behavior to only accept "&" as a separator by
    default. (closes: #986514)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 21 May 2021 12:06:47 -0400

mercurial (5.6.1-2) unstable; urgency=medium

  * tests: make test-subrepo-git.t compatible with git's master->main
    rename (closes: #980576).

 -- Julien Cristau <jcristau@debian.org>  Mon, 01 Feb 2021 17:47:09 +0100

mercurial (5.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Uploaders: remove vicho and vdanjean, add jcristau.  With
    thanks for their past contributions!

 -- Julien Cristau <jcristau@debian.org>  Fri, 08 Jan 2021 17:16:53 +0100

mercurial (5.5.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Julien Cristau ]
  * New upstream bugfix release

 -- Julien Cristau <jcristau@debian.org>  Wed, 14 Oct 2020 14:45:55 +0200

mercurial (5.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream bugfix release.

 -- Julien Cristau <jcristau@debian.org>  Wed, 02 Sep 2020 10:26:16 +0200

mercurial (5.5-2) unstable; urgency=medium

  * (Hopefully) fix flakiness in test-stdio.py.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 17 Aug 2020 10:33:16 +0200

mercurial (5.5-1) unstable; urgency=medium

  * New upstream release.
    - Fix Python 3 issues with hgext.convert.subversion (closes: #968466).
  * Install zsh completion to vendor-completions (closes: #963253).
  * Install run-tests.py for downstream packages to use (closes: #930488).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 16 Aug 2020 17:00:20 +0200

mercurial (5.4.1-3) unstable; urgency=medium

  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 13.
  * Rely on pre-initialized dpkg-architecture variables.
  * Set Rules-Requires-Root: no.
  * Adjust Breaks: mercurial-crecord (closes: #968035).
  * Remove unused debian/source/include-binaries.
  * Bump Standards-Version to 4.5.0.
  * Blacklist test-check-format.t.
  * Blacklist test-wireproto-exchangev2-shallow.t.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 10 Aug 2020 23:06:15 -0000

mercurial (5.4.1-2) unstable; urgency=medium

  * Upload to unstable, switch to python3; Closes: #937009, #948610

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Jul 2020 15:05:37 -0400

mercurial (5.4.1-1+exp1) experimental; urgency=medium

  * Upload to experimental a python3 version of mercurial

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jul 2020 21:12:04 -0400

mercurial (5.4.1-1) unstable; urgency=medium

  * Team upload.
  * Remove python-subversion from autopkgtest dependencies
    (closes: #956007)
  * New upstream bugfix release.
  * Fix test-clone-uncompressed.t failure on slow/loaded hosts.
  * Blacklist test-narrow-shallow.t for occasional failures.
  * Blacklist test-debugcommands.t for occasional failures.

 -- Julien Cristau <jcristau@debian.org>  Thu, 25 Jun 2020 12:18:13 +0200

mercurial (5.4-2) unstable; urgency=medium

  * Team upload.
  * Blacklist test-nointerrupt.t for being racy.
  * Don't install the hgext.git extension as that namespace is used by
    the mercurial-git package, and ours is still very experimental.
    Closes: #961245

 -- Julien Cristau <jcristau@debian.org>  Thu, 18 Jun 2020 15:38:51 +0200

mercurial (5.4-1+exp1) experimental; urgency=medium

  * Team upload.
  * Use python3 (closes: #937009).
  * mercurial Provides python3-mercurial so extensions can depend on
    that instead of a hazardous versioned dependency.
  * Add Breaks on all extensions.  To be updated as we don't know what
    version will use python3.

 -- Julien Cristau <jcristau@debian.org>  Thu, 21 May 2020 12:44:39 +0200

mercurial (5.4-1) unstable; urgency=medium

  * Team upload.

  [ Philippe Pepiot ]
  * Ship the chg binary (closes: #926384).  chg can be used as an
    alternative "hg" command, it spawns a mercurial server and uses a
    lightweight client written in C.

  [ Julien Cristau ]
  * Add Pulkit Goyal's key (EB851395B4223EE2F7BA0B28DA54740BF08732BA) to
    the keyring for upstream tarball signatures.
  * New upstream release.
  * Fix test-doctest.py now assuming it's being run from a hg repo.
  * autopkgtests: explicitly run the testsuite with python2.

 -- Julien Cristau <jcristau@debian.org>  Thu, 21 May 2020 12:35:06 +0200

mercurial (5.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Julien Cristau <jcristau@debian.org>  Thu, 16 Apr 2020 10:35:09 +0200

mercurial (5.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - drop proposed_upstream__correct-zeroconf-doc, included upstream.
  * Stop moving the help text and templates to /usr/share/mercurial, doesn't
    work right with the changes in 5.3 and isn't worth the effort.

 -- Julien Cristau <jcristau@debian.org>  Fri, 06 Mar 2020 10:38:36 +0100

mercurial (5.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Remove test-remotefilelog-bgprefetch.t from the blacklist, it's
    hopefully more reliable now.

 -- Julien Cristau <jcristau@debian.org>  Thu, 09 Jan 2020 16:06:17 +0100

mercurial (5.2.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * for_upstream__dont_rm_usr_bin_python_when_running_testsuite.patch: drop,
    obsolete since 2014.
  * autopkgtest: add clang-format dependency, list other optional dependencies
    that are currently disabled.
  * Replace deb_specific__use_sensible-editor.patch with a config snippet that
    sets default values for ui.editor and pager.pager.
  * Bump hgsubversion Breaks.

 -- Julien Cristau <jcristau@debian.org>  Fri, 06 Dec 2019 15:47:38 +0100

mercurial (5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-enable test-repo-compengines.t, fixed upstream.
  * Disable test-remotefilelog-bgprefetch.t for being flaky.

 -- Julien Cristau <jcristau@debian.org>  Wed, 06 Nov 2019 15:19:30 +0100

mercurial (5.2~rc0-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Julien Cristau <jcristau@debian.org>  Thu, 24 Oct 2019 14:32:33 +0200

mercurial (5.1.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Julien Cristau <jcristau@debian.org>  Fri, 06 Sep 2019 14:08:37 +0200

mercurial (5.1-4) unstable; urgency=medium

  * Remove python-vcr and python-fuzzywuzzy autopkgtest dependencies,
    looks like they got removed :(

 -- Julien Cristau <jcristau@debian.org>  Thu, 05 Sep 2019 15:11:05 +0200

mercurial (5.1-3) unstable; urgency=medium

  * Actually only run the blacklisted tests in the ignored run.
  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Tue, 03 Sep 2019 11:19:00 +0200

mercurial (5.1-2) experimental; urgency=medium

  * Add patch from https://github.com/indygreg/python-zstandard/pull/91
    to fix test failure on s390x.
  * Skip test-repo-compengines.t due to differences on big-endian.
  * This should fix FTBFS and closes: #935150.
  * Run blacklisted tests but ignore their results, so we can figure out
    if they still fail and how often.

 -- Julien Cristau <jcristau@debian.org>  Thu, 22 Aug 2019 18:36:05 +0200

mercurial (5.1-1) experimental; urgency=medium

  [ Julien Cristau ]
  * Drop autopkgtests dependency on monotone.  It's RC buggy, not in buster,
    and uninstallable in sid (closes: #919924).  Thanks, Graham Inggs!
  * Add autopkgtests dependencies:
    - subversion (for test-subrepo-svn.t, test-convert-svn-*.t)
    - gettext (for test-gendoc-*.t)
    - pylint (for test-check-pylint.t)
    - python-pygments (for test-highlight.t)
    - git (for test-convert-git.t, test-subrepo-git.t)
    - python-docutils (for test-gendoc.t)
    - sqlite3 (for test-wireproto-exchangev2-shallow.t, test-sqlitestore.t)
    - python-fuzzywuzzy (for test-releasenotes-*.t)
    - python-vcr (for test-phabricator.t)
    - darcs (for test-convert-darcs.t)
  * New upstream release.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Julien Cristau <jcristau@debian.org>  Wed, 14 Aug 2019 15:47:28 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog mercurial-common`.
